--- linux-linaro-3.4-2012.05-1_original/drivers/staging/mausb/drivers/mausb_tx.h	1970-01-01 08:00:00.000000000 +0800
+++ linux-linaro-3.4-2012.05-1_cavium/drivers/staging/mausb/drivers/mausb_tx.h	2014-11-28 12:39:00.572447000 +0800
@@ -0,0 +1,127 @@
+/* Name: mausb_tx.h 
+ * Description: header file for mausb_tx-device.c and mausb_tx-host.c 
+ * 
+ * This file is provided under a dual BSD/GPLv2 license. When using or 
+ * redistributing this file, you may do so under either license. 
+ * 
+ * GPL LICENSE SUMMARY 
+ * 
+ * Copyright(c) 2014 Intel Corporation. 
+ * 
+ * This program is free software; you can redistribute it and/or modify it 
+ * under the terms of version 2 of the GNU General Public License as published 
+ * by the Free Software Foundation. 
+ * 
+ * This program is distributed in the hope that it will be useful, but 
+ * WITHOUT ANY WARRANTY; without even the implied warranty of 
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
+ * General Public License for more details. 
+ * 
+ * Contact Information: 
+ * Sean Stalley, sean.stalley [at] intel 
+ * Stephanie Wallick, stephanie.s.wallick [at] intel 
+ * 2111 NE 25th Avenue 
+ * Hillsboro, Oregon 97124 
+ * 
+ * BSD LICENSE 
+ * 
+ * Copyright(c) 2014 Intel Corporation. 
+ * 
+ * Redistribution and use in source and binary forms, with or without 
+ * modification, are permitted provided that the following conditions 
+ * are met: 
+ * 
+ * Redistributions of source code must retain the above copyright 
+ notice, this list of conditions and the following disclaimer. 
+ * Redistributions in binary form must reproduce the above copyright 
+ notice, this list of conditions and the following disclaimer in 
+ the documentation and/or other materials provided with the 
+ distribution. 
+ * Neither the name of Intel Corporation nor the names of its 
+ contributors may be used to endorse or promote products derived 
+ from this software without specific prior written permission. 
+ 
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
+ * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
+ * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR 
+ * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
+ * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
+ * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
+ * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, 
+ * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY 
+ * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
+ * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
+ */ 
+ 
+#ifndef __MAUSB_TX_H 
+#define __MAUSB_TX_H 
+ 
+#include "mausb_mem.h" 
+#include "mausb_pkt.h" 
+ 
+#ifdef DEBUG 
+#define matx_dbg(format, arg...) \ 
+ printk(KERN_DEBUG format, ##arg) 
+#else 
+#define matx_dbg(format, arg...) 
+#endif 
+ 
+#define matx_warn(format, arg...) \ 
+ printk(KERN_WARNING format, ##arg) 
+ 
+#define matx_err(format, arg...) \ 
+ printk(KERN_ERR format, ##arg) 
+ 
+/* TODO: for now this is set to match gadget zero's buffer size, but 
+ * eventually we need to get this value from the device instead of 
+ * predefining it. */ 
+# define DEVICE_RX_BUF_SIZE 4096 
+ 
+#define MAUSB_WAIT_GADGET_BUFFER_FREE_TIMEOUT 3000 
+ 
+/* functions common to both host and device */ 
+int mausb_add_data_channel(struct mausb_ms_drv *drv, struct mausb_host_ep *ep, 
+ int (*transfer_pkt)(struct ms_pkt *pkt, void *context)); 
+ 
+int mausb_transfer_data_pkt(struct mausb_pkt *pkt, struct mausb_host_ep *ep, 
+ gfp_t mem_flags); 
+bool mausb_transfer_is_complete(struct mausb_transfer_state *tx_state, 
+ u8 seq_num); 
+void mausb_drop_packet(struct mausb_host_ep *ep, struct mausb_pkt *pkt); 
+void mausb_cleanup_ma_packets(struct mausb_host_ep *ep, u32 seq_num, 
+ u8 req_id); 
+bool mausb_is_a_retry(struct mausb_host_ep *ep, struct list_head *pkt_list, 
+ struct mausb_pkt *pkt); 
+int mausb_resend_multi_packets(struct mausb_host_ep *ep, 
+ struct list_head *pkt_list, u32 seq_num, 
+ unsigned long irq_flags); 
+void mausb_fill_pkt_ep(struct mausb_pkt *pkt, struct mausb_host_ep *ma_ep); 
+ 
+/* transfer interface function declarations */ 
+int complete_control_transferRequest(struct ms_pkt *pkt, void *context); 
+int complete_IN_transferRequest(struct ms_pkt *pkt, void *context); 
+int complete_OUT_transferRequest(struct ms_pkt *pkt, void *context); 
+int receive_ma_packet_control(struct ms_pkt *ms_pkt, void *context); 
+int receive_ma_packet_IN(struct ms_pkt *ms_pkt, void *context); 
+int receive_ma_packet_OUT(struct ms_pkt *ms_pkt, void *context); 
+int start_ma_transfer(struct mausb_host_ep *ep, struct mausb_urb *maurb, 
+ int dir_in); 
+ 
+/* transfer state fucntion declarations */ 
+int device_OUT_deliver_payload(struct mausb_pkt *tx_req, 
+ struct mausb_ep_state *ep_state, 
+ struct mausb_transfer_state *tx_state); 
+int device_OUT_send_txResp(struct mausb_transfer_state *tx_state, 
+ struct mausb_ep_state *ep_state, u32 req_id, 
+ u32 seq_num, int status, bool retry, bool eot, bool arq); 
+void host_IN_txReq_transmit(struct mausb_pkt *tx_req, struct mausb_host_ep *ep, 
+ struct mausb_transfer_state *tx_state); 
+int device_IN_send_null_txResp(struct mausb_host_ep *ep, u8 req_id, int status); 
+ 
+/* transfer timeout function declarations */ 
+void wake_timeout_thread(unsigned long _ep); 
+int host_transfer_timeout(void *data); 
+int device_transfer_timeout(void *data); 
+ 
+#endif 
diff '--exclude=.svn' -Naur linux-linaro-3.4-2012.05-1_original/drivers/staging/mausb/drivers/mausb_tx-host.c linux-linaro-3.4-2012.05-1_cavium/drivers/staging/mausb/drivers/mausb_tx-host.c
